-         
Ergebnis 1 bis 9 von 9

Thema: XC8 Update auf V2.00 Problem

  1. #1
    Erfahrener Benutzer Roboter Experte
    Registriert seit
    05.11.2007
    Ort
    Berlin
    Beiträge
    667

    XC8 Update auf V2.00 Problem

    Anzeige

    Hallo zusammen,
    ich habe den neuen XC8 Compiler V2.00 installiert,
    (okay selber schuld...)
    Nun bekomme ich keines meiner Projekt mehr compiliert.

    (902) no chip name specified; use "PICC --CHIPINFO" to see available chip names

    In meinen Properties ist aber der richtige PIC eingestellt,
    hab ja da auch nix geändert.

    Natürlich habe ich schon gegoogelt aber noch keine Lösung gefunden:
    Ich bin aber wohl nicht der erste der diese Probleme hat:
    https://www.microchip.com/forums/m1056610.aspx

    Alles kein Weltuntergang,
    ich bin jetzt wieder zurück auf die alte Version 1.45 und alles läuft wieder einwandfrei.

    Hat da von euch jemand eine genauere Beschreibung wo ich was ändern muss um die V2 Version zu nutzen ?

    Siro
    Geändert von Siro (07.07.2018 um 20:45 Uhr)

  2. #2
    RN-Premium User Roboter-Spezialist Avatar von witkatz
    Registriert seit
    24.05.2006
    Ort
    NRW
    Alter
    47
    Beiträge
    511
    Blog-Einträge
    17
    Hallo Siro,
    ich wollte das mal testen und habe von meinen letzten Projekten Backup gemacht und sie ins XC8 v2.00 konvertiert. Nur mit einem Projekt bekam ich Probleme, allerdings andere als bei dir. Die Ursache war ein Leerzeichen im Projektpfad, offensichtlich stört sich der neue Compiler an Leerzeichen in den Pfaden. Laut Release Notes ist XC8 v2.0 auch case sensitiv bei Projektoptionen. Vielleicht ist irgendwo hier der Hund begraben?
    Gruß
    witkatz
    Gruß witkatz

  3. #3
    Erfahrener Benutzer Roboter Experte
    Registriert seit
    05.11.2007
    Ort
    Berlin
    Beiträge
    667
    Hallo witkatz,
    danke dass Du es probiert hast.
    Ich habe grad mal ein komplett neues Projekt angelegt für eine PIC1F1840
    mit lediglich einer main Funktion.

    Mit XC8 Version 1.45 kann ich es compilieren,
    wenn ich in den Properties dann auf V2.00 wechsle bekomme ich zunächst diesen Hinweis:

    Klicke auf die Grafik für eine größere Ansicht

Name:	Meldung_01.jpg
Hits:	4
Größe:	21,3 KB
ID:	33540
    und es ist dann nicht mehr compilierbar.

  4. #4
    RN-Premium User Roboter-Spezialist Avatar von witkatz
    Registriert seit
    24.05.2006
    Ort
    NRW
    Alter
    47
    Beiträge
    511
    Blog-Einträge
    17
    Diesen Hinweis sehe ich auch, deshalb habe ich vorher ein Backup von dem Projekt gemacht. Nach Bestätigen mit ja müsste das Projekt für den XC8-cc driver konvertiert werden. Der XC8-cc driver müsste dann auch automatisch in den Projektoptionen angewählt werden. Ich musste in meinen Testprojekten nichts mehr manuell einstellen, es ließ sich alles sofort compilieren. Merkwürdig.
    Gruß witkatz

  5. #5
    Erfahrener Benutzer Roboter Experte
    Registriert seit
    05.11.2007
    Ort
    Berlin
    Beiträge
    667
    Guten Morgen zusammen,
    neueste Erkenntnisse:

    Die MPLAB-X IDE v4.15 hat keine Probleme mit dem XC8 V2.0
    Die Probleme habe ich nur mit der MPLAB-X IDE V2.00 und XC8 V2.0

    Habe grad die ganze IDE deinstalliert, neu runtergeladen und neu installiert,
    das Problem bleibt aber weiterhin bestehen.
    Ist aber, wie gesagt, kein Weltuntergang, wollte es nur nochmal probiert haben....

    Siro


    [EDIT:]
    Auf meinem Windows 10 Rechner funktioniert es einwandfrei,
    das Problem existiert anscheinend nur auf meinem Laptop mit Windows 8.1
    Geändert von Siro (21.07.2018 um 07:38 Uhr)

  6. #6
    Erfahrener Benutzer Roboter Experte
    Registriert seit
    05.11.2007
    Ort
    Berlin
    Beiträge
    667
    Kompletten Rechner manuell gesäubert,alles was irgendwie mit MPLAB und Microchip zu tun hatte habe ich nun manuell alles gelöscht....
    Alles neu runtergeladen und neu installiert. Nun sieht es gut aus, aber ein wichtigen Hinweis habe ich noch:

    Der Syntax für die Interrupt Funktion hat sich wohl geändert und hier musste ich den Code ändern:

    ehemals:
    Code:
    void interrupt isr(void)
    muss nun so aussehen:
    Code:
     void __interrupt() isr(void)
    in einem anderen Projekt musste ich die eeprom struktur umbenennen:
    aus
    Code:
    eeprom
    wurde nun:
    Code:
    __eeprom

    hängt eventuell auch mit den Einstellungen zusammen ? habe ich noch nicht weiter erforscht.

    Man sollte auch mal hier reingucken:
    http://microchipdeveloper.com/xc8:whats-new-in-xc8-2-0


    Siro
    Geändert von Siro (21.07.2018 um 16:14 Uhr)

  7. #7
    RN-Premium User Roboter-Spezialist Avatar von witkatz
    Registriert seit
    24.05.2006
    Ort
    NRW
    Alter
    47
    Beiträge
    511
    Blog-Einträge
    17
    Hast du MPLAB X v4.20 installiert oder bist auf MPLAB X v5.0 umgestiegen?
    Wäre mal interessant, ob man damit wirklich PIC und AVR programmieren kann.
    Gruß witkatz

  8. #8
    Erfahrener Benutzer Roboter Experte
    Registriert seit
    05.11.2007
    Ort
    Berlin
    Beiträge
    667
    Moin Witkatz,
    Ich hab bisher nur MPLAB V4.20 installiert.
    Bin auch erstaunt, dass es inzwischen eine Version 5 gibt.
    Da ich recht experimentierfreudig bin, werde ich mir die mal runterladen und ausprobieren.
    Kann das dann nur für PICs ausprobieren, mit AVR habe ich noch nichts gemacht.
    Da sollten wir dann einen neuen Thread aufmachen und Erfahrungen sammeln/austauschen denke ich.
    Siro
    Geändert von Siro (26.07.2018 um 12:28 Uhr)

  9. #9
    Erfahrener Benutzer Roboter Experte
    Registriert seit
    05.11.2007
    Ort
    Berlin
    Beiträge
    667
    MPLAB IDE v5.00
    wurde installiert auf einem Windows 8.1 Laptop
    Programmer PicKit3 über USB

    Project compiliert und PIC programmiert, ohne Probleme.
    PIC12F1840 sowie XC8 Compiler

    Wie man ein neues AVR Project anlegt, keine Ahnung,
    ich habe nur den Menüpunkt gefunden:

    "Import Atmel Studio Project"

    Siro

Ähnliche Themen

  1. Problem mit neuem Update 1.11.8.9
    Von patti16 im Forum Basic-Programmierung (Bascom-Compiler)
    Antworten: 6
    Letzter Beitrag: 01.09.2007, 11:48
  2. Update Problem auf 1.11.8.5
    Von Meissner im Forum Basic-Programmierung (Bascom-Compiler)
    Antworten: 5
    Letzter Beitrag: 18.04.2007, 19:48
  3. Avr jtag update.ebn ->update.hex
    Von camrob im Forum C - Programmierung (GCC u.a.)
    Antworten: 7
    Letzter Beitrag: 24.01.2006, 07:29
  4. Update auf V1.11.8.0
    Von Werner_Just im Forum Basic-Programmierung (Bascom-Compiler)
    Antworten: 38
    Letzter Beitrag: 13.01.2006, 08:08
  5. Update 2.01 und 2.02 ???
    Von n3m3sis im Forum Controller- und Roboterboards von Conrad.de
    Antworten: 8
    Letzter Beitrag: 22.08.2005, 12:06

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •